// tool.js

//--------------------------------------------------------------------

/*
class Tool

This is a "library class" similar to the JavaScript or Java "Math" class.
It provides a menu of static utility methods for use.
*/

//--------------------------------------------------------------------

class Tool {

    static newFixedArray(aSize) {
        //Return new fixed array (fa) that has size per the passed input arg "aSize"
        //The "length" property of the new array will be "aSize"
        let fa = Array(aSize);
        // Fill with nulls
        fa.fill(null);
        // Assure it is fixed
        Object.seal(fa);
        return fa;
    }

}
