
//framework - argument here should be name of this test case
addTestCase("AlgoLabModelTest");

class AlgoLabModelTest extends TestCase {

	//-----------------------------
	//Test Methods

	test_instance_methods_count() {
		const model = new AlgoLabModel([MyArray, MyString, MyDate]);
		model.zclass('MyArray');
		model.instanceOption(true);
		this.assertTrue(model.methodHeaders().length >= 5);
	}

	test_static_methods_count() {
		const model = new AlgoLabModel([MyArray, MyString, MyDate]);
		model.zclass('MyArray');
		model.instanceOption(false);
		const len = model.methodHeaders().length;
		this.assertTrue(len >= 2 && len < 5);
	}

	//-----------------------------
	//Overrides - Static

	static testSelectors() {
		return [
			'test_instance_methods_count',
			'test_static_methods_count'
		];
	}

}

//-----------------------------------------------------

// if (require.main === module)
// 	MyStringTest.runAll();


